>From 03de0ecabf03393c25acd8982f54cbecee723731 Mon Sep 17 00:00:00 2001
From: Erwan Tulou <brezhoneg1@yahoo.fr>
Date: Thu, 26 Mar 2009 10:30:56 +0100
Subject: [PATCH] correct a compilation error specific to QT4.3
(gridLayout naming is hardcoded and seems to have changed)
---
 modules/gui/qt4/components/open_panels.cpp |    2 +-
 modules/gui/qt4/ui/open_file.ui            |    6 +++---
 2 files changed, 4 insertions(+), 4 deletions(-)

diff --git a/modules/gui/qt4/components/open_panels.cpp b/modules/gui/qt4/components/open_panels.cpp
index 159704a..75900fe 100644
--- a/modules/gui/qt4/components/open_panels.cpp
+++ b/modules/gui/qt4/components/open_panels.cpp
@@ -149,7 +149,7 @@ inline void FileOpenPanel::BuildOldPanel()
     /** END of QFileDialog tweaking **/
 
     // Add the DialogBox to the layout
-    ui.gridLayout_3->addWidget( dialogBox, 0, 0, 1, 3 );
+    ui.gridLayout->addWidget( dialogBox, 0, 0, 1, 3 );
 
     CONNECT( lineFileEdit, textChanged( QString ), this, updateMRL() );
     dialogBox->installEventFilter( this );
diff --git a/modules/gui/qt4/ui/open_file.ui b/modules/gui/qt4/ui/open_file.ui
index d7967e0..c479588 100644
--- a/modules/gui/qt4/ui/open_file.ui
+++ b/modules/gui/qt4/ui/open_file.ui
@@ -20,7 +20,7 @@
   <property name="windowTitle">
    <string>Open File</string>
   </property>
-  <layout class="QGridLayout" name="gridLayout_3">
+  <layout class="QGridLayout" name="gridLayout">
    <item row="0" column="0">
     <widget class="QGroupBox" name="tempWidget">
      <property name="toolTip">
@@ -29,7 +29,7 @@
      <property name="title">
       <string>File Selection</string>
      </property>
-     <layout class="QGridLayout" name="gridLayout">
+     <layout class="QGridLayout" name="gridLayout1">
       <item row="0" column="0" colspan="3">
        <widget class="QLabel" name="label">
         <property name="text">
@@ -106,7 +106,7 @@
      <property name="frameShape">
       <enum>QFrame::StyledPanel</enum>
      </property>
-     <layout class="QGridLayout" name="gridLayout_2">
+     <layout class="QGridLayout" name="gridLayout2">
       <item row="1" column="0">
        <spacer>
         <property name="orientation">
-- 
1.5.2.5

